当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]为什么我无法安装主题?
帖子发表于 : 2007-07-29 21:53 

注册: 2007-06-08 21:02
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
大家好,我安装主题时总是提示文件格式无效,怎么回事?
我都是下载的主题包,(tar.gz)格式的,别人都可以用的。请大侠帮帮忙。谢谢!
注:用的是CF。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-08-02 18:48 

注册: 2007-06-08 21:02
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
没人帮忙么?


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-08-02 18:50 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
主题有5。6种。你是那种。


_________________
● 鸣学


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-08-02 22:38 

注册: 2006-06-03 23:19
帖子: 41
地址: 泉州
送出感谢: 0 次
接收感谢: 0 次
gtk2的比较可以 你要查看一下归类文档啊 说不定底下有子目录也是归类文档呢


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-08-03 11:47 

注册: 2006-12-04 17:21
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
compiz 的主题文件 好像都是以 emerald 为后缀名的。 你下的是 GTK的主题文件吧


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-08-03 18:54 

注册: 2007-06-08 21:02
帖子: 18
送出感谢: 0 次
接收感谢: 0 次
我是在这里下载的主题,
http://www.gnome-look.org/

选的是compiz的,但无法安装,总是提示格式不对。
比如这个主题。如附件。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-03-30 16:40 

注册: 2008-03-25 9:01
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我也是同样的情况,暂时还没解决,帮顶
我的emerald也没法用


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-03-30 17:09 
头像

注册: 2006-08-30 20:54
帖子: 1216
地址: 廣州
送出感谢: 2
接收感谢: 1
有沒有先解壓出來再導入?


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-03-30 17:36 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
主题一般有2种,一种是放在emerald里面的,开了CF才能用。
一种是在“外观"里面的。
如果是emerald,就必须打开“emerald“管理器,导入.emerald格式的文件。
如果是外观,就在“外观”里面“安装”.tar.gz之类的格式。

另外还有GDM之类的,是在“登录窗口”用的。


_________________
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-03-30 17:55 

注册: 2008-03-25 9:01
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我用emerald能看到相应的主题,但是都不能用,选import提示无法找到文件;
.tar.gz的一个mac4liu包用“外观”导入时也提示格式不对;
装了CF后一开始没有标题栏,网上搜了一下在窗口装饰里加了一句“emerald --replace &”
以上是主要的改动,还没解决。。。高手帮忙看看阿


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-03-30 21:26 
头像

注册: 2008-02-20 14:53
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
如果你是从外观选项安装主题,就下载gtk2.0的,如果你是从emerald manager安装主题,就下载beryl的


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-03-30 21:28 

注册: 2008-03-26 17:23
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
skyeer 写道:
我用emerald能看到相应的主题,但是都不能用,选import提示无法找到文件;
.tar.gz的一个mac4liu包用“外观”导入时也提示格式不对;
装了CF后一开始没有标题栏,网上搜了一下在窗口装饰里加了一句“emerald --replace &”
以上是主要的改动,还没解决。。。高手帮忙看看阿


呵呵,同情你下兄弟。这个Compiz Fusion + Emerald我也搞了整整一个下午加半个晚上。

大致说说我的经过吧,希望对你有帮助。

我装的是8.04beta版,装上后,然后编译安装了最新的nVidia驱动(169),然后就可以开启3D桌面了,这些都很顺利,但是一旦我决定安装Emerald主题管理器,我的麻烦就来了。首先,我安装了Emerald,结果和你一样,窗口根本没变化,查了查才知道,我的Emerald根本就没有启动成窗口管理器,窗口管理器还是GNome的那个metacity。但是我手工通过emerald --replace启动后还是不行,安装了compiz-setting-pane,能够设置各种特效了,窗口装饰插件也打开了,并且窗口插件里的命令行也写成了emerald --replace,还是不行。然后又安装了icon,通过icon来切换窗口管理器,出现了和你一样的问题:没有边框。到这时,已经整整一个下午过去了,我都要晕了。

然后手动用命令行启动compiz,发现有一些报错,好像是说一个ccp模块的xml文件无法读取,上网查了下,好像是说配置文件库的版本不匹配,但是当时我用的是ubuntu.cn的软件源,也没有什么更新,而要安装snapshot的compiz fusion,有大多不是for hardy的。

正当我要放弃的时候,我发现软件源的配置里能够自动测试最快的官方源,于是测试了下,选择了个台湾的服务器,速度50来K,将就着用,刷新了下,多出一堆软件升级,于是我把所有关于compiz的东西和emerald的东西全部purge了,然后重新安装,用最新的源,包括emerald。这里要注意一下,我们配置compiz要使用compiz-setting-pane,而不能安装那个gnome-compiz。然后重启后,居然OK了!

总结下,查问题的方向:
*) 显卡驱动是否打开,比如是nVidia的卡,最好是去官方网站下最新的驱动,然后用编译方式安装,不要去用那些开源的nv-glx,大致方法请上网搜索,大致步骤有:
1) 注消 restrict-common 里的 nv 模块
2) 在登录界面按Ctrl+Alt+F1进入文字模式登录
3) sudo /etc/init.d/gdm stop 关闭图形登录管理器
4) sudo sh NVIDIA_DRIVER_xxxx.run 自动编译安装驱动
5) 重启搞定

*) 软件源是否最新,最好使用官方的源,然后删除原来的compiz+emerald并重新安装,但不要装gnome-compiz和那个什么DL Desktop

*) compiz配置里,是否开启窗口装饰插件,并且其命令行是否为“emerald --replace"

*)GLX是否打开

用emerald作窗口管理器后,我们就可以方便的使用gnome-look.org里的主题了,这些主题都是以.emerald为后缀的,如果你下的包是tar.gz或者tgz,那么就解压,看看里面有没有emerald后缀的文件。


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-03-31 9:59 
头像

注册: 2008-02-20 14:53
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
weive 写道:
主题一般有2种,一种是放在emerald里面的,开了CF才能用。
一种是在“外观"里面的。
如果是emerald,就必须打开“emerald“管理器,导入.emerald格式的文件。
如果是外观,就在“外观”里面“安装”.tar.gz之类的格式。

另外还有GDM之类的,是在“登录窗口”用的。

mac4lin的包要解开才能用的,外观安装的是里面metacity的那个文件夹里的


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2008-04-15 23:46 

注册: 2008-04-07 23:21
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
/home/tangxiao/Downloads/Mac4Lin_v0.4/AWN Dock Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/Emerald Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/Exaile AWN Plugin
/home/tangxiao/Downloads/Mac4Lin_v0.4/Firefox Addons
/home/tangxiao/Downloads/Mac4Lin_v0.4/Fonts
/home/tangxiao/Downloads/Mac4Lin_v0.4/GDM Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/GRUB Splash
/home/tangxiao/Downloads/Mac4Lin_v0.4/GTK Cursor Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/GTK Login Splash
/home/tangxiao/Downloads/Mac4Lin_v0.4/GTK Metacity Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/Pidgin
/home/tangxiao/Downloads/Mac4Lin_v0.4/Sounds
/home/tangxiao/Downloads/Mac4Lin_v0.4/USplash Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/VLC Theme
/home/tangxiao/Downloads/Mac4Lin_v0.4/XMMS Audacious BMP Skin


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2008-04-15 23:47 

注册: 2008-04-07 23:21
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
mac4lin的包解开没有metacity


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译